>> So, if you want to merge ruby's ruby-mode.el into GPLv3 projects,
>> following two person
>> have a right.
>
> Ruby's License allow files into GPLv3 projects.
> It is compatible to GPLv3.

True. but I guess emacs folks don't want/like license mixing.